Deluge users my want to upgrade to the 1.3.0 version now available through the Packman repository